<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
</head>

<body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p>
                <a href="{% url 'todo_list_create' %}">Create a new list</a>
                <a href="{% url 'todo_item_create' %}">Create new item</a>
            </p>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Number of items</th>
                </thead>
                <tbody>
                    {% for todo in todo_list %}
                    <tr>
                        <td>
                        <a href="{% url 'todo_list_detail' todo.id %}">{{ todo.name }}</a>
                        </td>
                        <td>{{ todo.items.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>